﻿<?xml version="1.0" encoding="utf-8" standalone="no"?>
<tns:VectoInputDeclaration schemaVersion="2.7" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:tns="urn:tugraz:ivt:VectoAPI:DeclarationInput:v2.0" xmlns:v2.7="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:DEV:v2.7" xmlns:v2.2="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.2" xmlns:v2.0="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0" xmlns:di="http://www.w3.org/2000/09/xmldsig#" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:DEV:v2.7" xsi:schemaLocation="urn:tugraz:ivt:VectoAPI:DeclarationJob F:\Vecto\vecto-dev_bt\VectoCore\VectoCore\Resources\XSD/VectoDeclarationJob.xsd">
  <v2.0:Vehicle id="CB-adaa8d232d574ce09d4d" xsi:type="VehicleDeclarationType">
    <Manufacturer>Example Manufacturer</Manufacturer>
    <ManufacturerAddress>Example Street 1, Example City XY, Example Country</ManufacturerAddress>
    <Model_CommercialName>Example Trailer SuperEco</Model_CommercialName>
    <VIN>Example1234567890</VIN>
    <Date>2021-12-31T09:06:03.5673723Z</Date>
    <LegislativeCategory>O4</LegislativeCategory>
    <AxleCount>3</AxleCount>
    <TrailerType>DA</TrailerType>
    <BodyWorkType>dry box</BodyWorkType>

    <TrailerCouplingPoint>n/a</TrailerCouplingPoint>
    <Masses>
      <CorrectedMassInRunningOrder>7700</CorrectedMassInRunningOrder>
      <TPMLMTrailer>39000</TPMLMTrailer>
      <TPMLMAxleAssembly>24000</TPMLMAxleAssembly>
    </Masses>
    <Dimensions>
      <ExternalLengthBody>13.685</ExternalLengthBody>
      <ExternalWidthBody>2.550</ExternalWidthBody>
      <ExternalHeightBody>2.850</ExternalHeightBody>
      <TotalHeightTrailer>4.000</TotalHeightTrailer>
      <LengthFromFrontToFirstAxle>8.075</LengthFromFrontToFirstAxle>
      <LengthBetweenCentresOfAxles>2.620</LengthBetweenCentresOfAxles>
      <CargoVolume>91.000</CargoVolume>
      <VolumeOrientation>false</VolumeOrientation>
    </Dimensions>
    <AeroFeatures>
      <CertifiedAeroDevice>
        <Data xsi:type="CertifiedAeroDataDeclarationType" id="AERO-asdf">
          <Manufacturer>Generic Manufacturer</Manufacturer>
          <Model>Generic Tyre Model</Model>
          <CertificationNumber>e12*0815/8051*2017/05T0000*00</CertificationNumber>
          <Date>2017-02-15T11:00:00Z</Date>
          <AeroReductionYawAngle0>1.00</AeroReductionYawAngle0>
          <AeroReductionYawAngle3>2.00</AeroReductionYawAngle3>
          <AeroReductionYawAngle6>3.00</AeroReductionYawAngle6>
          <AeroReductionYawAngle9>4.00</AeroReductionYawAngle9>
          <ApplicableVehicleGroups>
            <ApplicableVehicleGroup>132</ApplicableVehicleGroup>
          </ApplicableVehicleGroups>
        </Data>
        <Signature>
          <di:Reference URI="#AERO-asdf">
            <di:Transforms>
              <di:Transform Algorithm="urn:vecto:xml:2017:canonicalization" />
              <di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
            </di:Transforms>
            <di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256" />
            <di:DigestValue>7vbS5FPUgb2ce2NfcDGWMWpV6aZUyjY0SXqE2AP8Oh8=</di:DigestValue>
          </di:Reference>
        </Signature>
      </CertifiedAeroDevice>
    </AeroFeatures>
    <AxleWheels>
      <Data xsi:type="v2.7:TrailerAxleWheelsDataDeclarationType">
        <Axles>
          <Axle xsi:type="v2.7:TrailerAxleType" axleNumber="1">
            <TwinTyres>false</TwinTyres>
            <Liftable>false</Liftable>
            <Steered>false</Steered>
            <Tyre>
              <v2.7:Data id="TYR-gooZah3D" xsi:type="v2.2:TyreDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.2">
                <Manufacturer>Generic Tyre Manufacturer</Manufacturer>
                <Model>Generic Tyre Model</Model>
                <CertificationNumber>e12*0815/8051*2017/05T0000*00</CertificationNumber>
                <Date>2017-02-15T11:00:00Z</Date>
                <AppVersion>DemoTyreApp 1.0</AppVersion>
                <Dimension>385/65 R22.5</Dimension>
                <RRCDeclared>0.0055</RRCDeclared>
                <FzISO>37500</FzISO>
              </v2.7:Data>
              <Signature>
                <di:Reference URI="#TYR-gooZah3D">
                  <di:Transforms>
                    <di:Transform Algorithm="urn:vecto:xml:2017:canonicalization" />
                    <di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
                  </di:Transforms>
                  <di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256" />
                  <di:DigestValue>JWEwzKSP0lXvwRgQZTiWJm9dpdtQ72FOX0CC5Vy6f2Y=</di:DigestValue>
                </di:Reference>
              </Signature>
            </Tyre>
          </Axle>
          <Axle xsi:type="v2.7:TrailerAxleType" axleNumber="2">
            <TwinTyres>false</TwinTyres>
            <Liftable>false</Liftable>
            <Steered>false</Steered>
            <Tyre>
              <v2.7:Data id="TYR-gooZah3D" xsi:type="v2.2:TyreDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.2">
                <Manufacturer>Generic Tyre Manufacturer</Manufacturer>
                <Model>Generic Tyre Model</Model>
                <CertificationNumber>e12*0815/8051*2017/05T0000*00</CertificationNumber>
                <Date>2017-02-15T11:00:00Z</Date>
                <AppVersion>DemoTyreApp 1.0</AppVersion>
                <Dimension>385/65 R22.5</Dimension>
                <RRCDeclared>0.0055</RRCDeclared>
                <FzISO>37500</FzISO>
              </v2.7:Data>
              <Signature>
                <di:Reference URI="#TYR-gooZah3D">
                  <di:Transforms>
                    <di:Transform Algorithm="urn:vecto:xml:2017:canonicalization" />
                    <di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
                  </di:Transforms>
                  <di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256" />
                  <di:DigestValue>JWEwzKSP0lXvwRgQZTiWJm9dpdtQ72FOX0CC5Vy6f2Y=</di:DigestValue>
                </di:Reference>
              </Signature>
            </Tyre>
          </Axle>
          <Axle xsi:type="v2.7:TrailerAxleType" axleNumber="3">
            <TwinTyres>false</TwinTyres>
            <Liftable>false</Liftable>
            <Steered>false</Steered>
            <Tyre>
              <v2.7:Data id="TYR-gooZah3D" xsi:type="v2.2:TyreDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.2">
                <Manufacturer>Generic Tyre Manufacturer</Manufacturer>
                <Model>Generic Tyre Model</Model>
                <CertificationNumber>e12*0815/8051*2017/05T0000*00</CertificationNumber>
                <Date>2017-02-15T11:00:00Z</Date>
                <AppVersion>DemoTyreApp 1.0</AppVersion>
                <Dimension>385/65 R22.5</Dimension>
                <RRCDeclared>0.0055</RRCDeclared>
                <FzISO>37500</FzISO>
              </v2.7:Data>
              <Signature>
                <di:Reference URI="#TYR-gooZah3D">
                  <di:Transforms>
                    <di:Transform Algorithm="urn:vecto:xml:2017:canonicalization" />
                    <di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#" />
                  </di:Transforms>
                  <di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256" />
                  <di:DigestValue>JWEwzKSP0lXvwRgQZTiWJm9dpdtQ72FOX0CC5Vy6f2Y=</di:DigestValue>
                </di:Reference>
              </Signature>
            </Tyre>
          </Axle>
        </Axles>
      </Data>
    </AxleWheels>
  </v2.0:Vehicle>
</tns:VectoInputDeclaration>